# $Id: Makefile.boot,v 1.4 2003/01/28 15:40:24 jmmv Exp $
#

BT_PKG_NAME=		xmlcatmgr
BT_PKG_VERSION=		0.2

# Variables that affect building
BT_PREFIX?=		/usr/local
BT_PROG_AWK?=		/usr/bin/awk
BT_PROG_SH?=		/bin/sh
BT_DIR_CATALOG?=	/etc/xml
BT_INSTALL_DIR?=	install -m 755 -d
BT_INSTALL_BIN?=	install -m 755 -c
BT_INSTALL_DATA?=	install -m 644 -c

SUBSTS=		-e "s|@BT_PKG_NAME@|${BT_PKG_NAME}|g"
SUBSTS+=	-e "s|@BT_PKG_VERSION@|${BT_PKG_VERSION}|g"
SUBSTS+=	-e "s|@BT_PROG_AWK@|${BT_PROG_AWK}|g"
SUBSTS+=	-e "s|@BT_PROG_SH@|${BT_PROG_SH}|g"
SUBSTS+=	-e "s|@BT_DIR_CATALOG@|${BT_DIR_CATALOG}|g"

.PHONY: nobt all build clean cleandir install

all build: nobt bin/xmlcatmgr.sh bin/xmlcatmgr.1
	@echo "*** xmlcatmgr ${BT_PKG_VERSION} built"

bin/xmlcatmgr.sh: bin/sgml.sh.in bin/xml.sh.in bin/xmlcatmgr.sh.in
	cat bin/sgml.sh.in bin/xml.sh.in bin/xmlcatmgr.sh.in | \
		sed ${SUBSTS} > bin/xmlcatmgr.sh
	chmod +x bin/xmlcatmgr.sh

bin/xmlcatmgr.1: bin/xmlcatmgr.1.in
	sed ${SUBSTS} < bin/xmlcatmgr.1.in > bin/xmlcatmgr.1

clean cleandir:
	rm -f bin/xmlcatmgr.sh bin/xmlcatmgr.1

install:
	${BT_INSTALL_DIR} ${BT_PREFIX}/bin
	${BT_INSTALL_BIN} bin/xmlcatmgr.sh ${BT_PREFIX}/bin/xmlcatmgr
	${BT_INSTALL_DIR} ${BT_PREFIX}/man/man1
	${BT_INSTALL_DATA} bin/xmlcatmgr.1 ${BT_PREFIX}/man/man1/xmlcatmgr.1
	@echo "*** xmlcatmgr ${BT_PKG_VERSION} installed"

nobt:
	@echo "******************************************************"
	@echo "*** Consider using Buildtool to build this package ***"
	@echo "***       http://buildtool.sourceforge.net/        ***"
	@echo "******************************************************"
	@echo
